PHP7 にしたら WordPress の Exec-PHP プラグインが動かなくなったので PHP Code For Posts を入れた

シェアする

PHP7 アップデートしたら WordPress が動かなくなったのでエラーログを見たところ、以下のようなメッセージが出力されていた。

PHP Parse error:  syntax error, unexpected 'new' (T_NEW) in /path/to/wp/wp-content/plugins/exec-php/exec-php.php on line 22

エラー発生箇所から察するに Exec-PHP が PHP 7 に対応していないようであった。

代わりとなるプラグインを探したところ、PHP Code for Posts が良さそうであったのでインストールしてみた。

このプラグインも Exec-PHP のように有効化していれば投稿内や固定ページ内で PHP コードを実行できるようになる。もちろん PHP 7 環境下でも動作する。

Exec-PHP と違いショートコードを用いた PHP の実行を行う事もできる。

wordpress-php-code-for-posts

ショートコード編集画面はこんな感じ。

とはいえ PHP を直接投稿内に書くのはあんまりアレだなぁという気がしなくもないのでそのうち functions.php あたりにまとめてショートコードで読み込みたい感じではある。

Sponsored Link

シェアする

フォローする